'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgSimplifiedCommercialAirliner = function SvgSimplifiedCommercialAirliner(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#SimplifiedCommercialAirliner_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "M77.967 20.231c-.312-1.866-2.589-3.53-5.55-4.057a16.8 16.8 0 0 0-8.914 1.136l-1.23.416c-.462.142-9.135 3.925-18.915 8.195L23.505 20.09a.47.47 0 0 0-.312 0l-4.03 1.43a.5.5 0 0 0-.332.416.53.53 0 0 0 .212.487l12.52 8.672-16.005 7.05-8.28-6.086a.44.44 0 0 0-.514-.091l-4.482 2.252a.504.504 0 0 0-.272.54q.02.109.08.2l8.19 12.476c.1.162 2.518 3.814 11.15 1.014 6.366-2.028 16.227-6.136 19.138-7.374l-4.03 22.315a.51.51 0 0 0 .281.55.5.5 0 0 0 .213.049.45.45 0 0 0 .202 0l4.915-2.181a.54.54 0 0 0 .252-.244l13.497-27.447c1.874-1.014 18.443-9.534 19.43-10.082 2.619-1.4 2.78-2.982 2.639-3.804m-57.504 1.907 2.91-1.014 18.544 5.447-9.226 4.057zm54.462 1.014c-1.007.558-19.38 10.052-19.56 10.143a.52.52 0 0 0-.253.203L41.615 60.885l-3.878 1.724 4.03-22.315a.53.53 0 0 0-.182-.487.5.5 0 0 0-.312-.111.4.4 0 0 0-.192 0c-.12.05-12.47 5.305-19.943 7.698-7.827 2.506-9.982-.598-10.002-.639L3.239 34.868 6.936 33l8.27 6.086a.47.47 0 0 0 .503 0C31.502 32.21 61.629 19.004 62.566 18.7c.393-.121.816-.263 1.26-.426a15.8 15.8 0 0 1 8.41-1.085c2.457.416 4.492 1.796 4.724 3.205.221 1.238-.987 2.171-2.035 2.75z"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "SimplifiedCommercialAirliner_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgSimplifiedCommercialAirliner;
